# Test goal: Test sequential coupling with a serie of Darcy flow steady states with different BC. Darcy LMH version.
# Author: Pavel Exner
# Source for reference:
#   The results should be qualitatively the same as with unsteady flow
#   with low storativity.
#   Checked and compared in Paraview

flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: Steady flow + transport with source
  mesh:
    mesh_file: ../00_mesh/square_1x1_xy.msh
    regions:
      - !From_Elements
        name: source_reg
        element_list: [579, 565, 898, 606, 931, 673]
  flow_equation: !Flow_Darcy_MH
    input_fields:
      - region: BULK

        # Unsteady flow parameters for comparison:
        #storativity: 1e-12
        #init_pressure: !FieldFormula
            #value: 100*(1-x)

        cross_section: 1
        conductivity: 3e-4

      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: !FieldFormula
            value: 100*(1-x)

      # Change in BC - direction of flow.
      - region: .BOUNDARY
        time: 5
        bc_pressure: !FieldFormula
            value: 100*(1-y)

    output:
      fields: [velocity_p0, pressure_p0]
    time:
      end_time: &end_time 10
    output_stream:
      times:
        - step: 2.5

  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_AdvectionDiffusion_DG
      input_fields:
        - region: .BOUNDARY
          bc_conc: 0
        - region: BULK
          init_conc: 0
          porosity: 0.2
        - region: source_reg
          sources_density: 1e-4
    output_stream:
      times:
        - step: 2.5
    substances:
      - conc
    time:
      end_time: *end_time
